--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_002_pos.ksh	Wed Aug 31 16:21:38 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_002_pos.ksh	Wed Aug 31 16:21:38 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,9 +48,9 @@
 {
 	ismounted $TESTPOOL/$TESTFS
 	(( $? != 0 )) && \
-		log_must $ZFS mount $TESTPOOL/$TESTFS
+		log_must zfs mount $TESTPOOL/$TESTFS
 
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -59,8 +59,8 @@
 
 populate_dir $NUM_FILES
 
-log_must $ZFS unmount $TESTDIR
+log_must zfs unmount $TESTDIR
 
-log_mustnot $LABELIT /dev/rdsk/${DISK}s0 mfiles ${DISK}s0
+log_mustnot labelit /dev/rdsk/${DISK}s0 mfiles ${DISK}s0
 
 log_pass "labelit(1M) returned an error as expected."
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_003_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_003_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -54,10 +54,10 @@
 log_assert "Ensure that the fsdb(1M) utility fails on a ZFS file system."
 
 populate_dir $NUM_FILES
-inode_num=`$LS -li $TESTDIR/$TESTFILE.0 | $AWK '{print $1}'`
+inode_num=`ls -li $TESTDIR/$TESTFILE.0 | awk '{print $1}'`
 [[ -z $inode_num ]] && \
     log_fail "Failed to determine inode of file: $TESTDIR/$TESTFILE.0"
 
-log_mustnot $ECHO ":inode $inode_num" | $FSDB /dev/rdsk/${DISK}s0
+log_mustnot echo ":inode $inode_num" | fsdb /dev/rdsk/${DISK}s0
 
 log_pass "fsdb(1M) returned an error as expected."
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_004_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_004_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -53,8 +53,8 @@
 
 log_assert "Ensure that the quotaon(1M) utility fails on a ZFS file system."
 
-log_must $ZFS set quota=1099511627776 $TESTPOOL/$TESTFS
-log_must $TOUCH $TESTDIR/quotas
-log_mustnot $QUOTAON /dev/dsk/${DISK}s0
+log_must zfs set quota=1099511627776 $TESTPOOL/$TESTFS
+log_must touch $TESTDIR/quotas
+log_mustnot quotaon /dev/dsk/${DISK}s0
 
 log_pass "quotaon(1M) returned an error as expected."
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_005_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_005_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -55,6 +55,6 @@
 
 populate_dir $NUM_FILES
 
-log_mustnot $FF -F zfs /dev/rdsk/${DISK}s0
+log_mustnot ff -F zfs /dev/rdsk/${DISK}s0
 
 log_pass "ff(1M) returned an error as expected."
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_006_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_006_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,9 +48,9 @@
 {
 	ismounted $TESTPOOL/$TESTFS
 	(( $? != 0 )) && \
-		log_must $ZFS mount $TESTPOOL/$TESTFS
+		log_must zfs mount $TESTPOOL/$TESTFS
 
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -59,8 +59,8 @@
 
 populate_dir $NUM_FILES
 
-log_must $ZFS unmount $TESTDIR
+log_must zfs unmount $TESTDIR
 
-log_mustnot $FSIRAND /dev/rdsk/${DISK}s0
+log_mustnot fsirand /dev/rdsk/${DISK}s0
 
 log_pass "fsirand(1M) returned an error as expected."
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_007_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_007_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,9 +48,9 @@
 {
 	ismounted $TESTPOOL/$TESTFS
 	(( $? != 0 )) && \
-		log_must $ZFS mount $TESTPOOL/$TESTFS
+		log_must zfs mount $TESTPOOL/$TESTFS
 
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -59,12 +59,12 @@
 
 populate_dir $NUM_FILES
 
-log_must $ZFS unmount $TESTDIR
+log_must zfs unmount $TESTDIR
 
 if ! $(is_physical_device $DISK); then
-	log_must $FSTYP $DISK
+	log_must fstyp $DISK
 else
-	log_must $FSTYP /dev/rdsk/${DISK}s0
+	log_must fstyp /dev/rdsk/${DISK}s0
 fi
 
 log_pass "fstyp(1M) returned successfully."
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_008_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_008_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,9 +48,9 @@
 {
 	ismounted $TESTPOOL/$TESTFS
 	(( $? != 0 )) && \
-		log_must $ZFS mount $TESTPOOL/$TESTFS
+		log_must zfs mount $TESTPOOL/$TESTFS
 
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -59,8 +59,8 @@
 
 populate_dir $NUM_FILES
 
-log_must $ZFS unmount $TESTDIR
+log_must zfs unmount $TESTDIR
 
-log_mustnot $NCHECK /dev/rdsk/${DISK}s0
+log_mustnot ncheck /dev/rdsk/${DISK}s0
 
 log_pass "ncheck(1M) returned an error as expected."
--- old/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_009_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test_009_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,7 +46,7 @@
 
 function cleanup
 {
-	$RM -rf $TESTDIR/*
+	rm -rf $TESTDIR/*
 }
 
 log_onexit cleanup
@@ -55,6 +55,6 @@
 
 populate_dir $NUM_FILES
 
-log_mustnot $TUNEFS -m 80 /dev/dsk/${DISK}s0
+log_mustnot tunefs -m 80 /dev/dsk/${DISK}s0
 
 log_pass "tunefs(1M) returned an error as expected."
--- old/usr/src/test/zfs-tests/tests/functional/vdev_zaps/vdev_zaps.kshlib	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/vdev_zaps/vdev_zaps.kshlib	Wed Aug 31 16:21:39 2016
@@ -14,7 +14,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 
 function get_conf_section # regex conf
@@ -104,7 +104,7 @@
                 log_must zpool destroy -f $TESTPOOL
         fi
         if [[ -e $conf ]]; then
-                log_must $RM -f "$conf"
+                log_must rm -f "$conf"
         fi
         if [[ -e $POOL2 ]]; then
                 log_must zpool destroy -f $POOL2
--- old/usr/src/test/zfs-tests/tests/functional/write_dirs/write_dirs_001_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/write_dirs/write_dirs_001_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,11 +47,11 @@
 
 function cleanup
 {
-	for file in `$FIND $TESTDIR -type f`; do
-		$CAT /dev/null > $file
+	for file in `find $TESTDIR -type f`; do
+		cat /dev/null > $file
 	done
-	log_must $SYNC
-	log_must $RM -rf $TESTDIR/*
+	log_must sync
+	log_must rm -rf $TESTDIR/*
 }
 
 typeset -i retval=0
--- old/usr/src/test/zfs-tests/tests/functional/write_dirs/write_dirs_002_pos.ksh	Wed Aug 31 16:21:39 2016
+++ new/usr/src/test/zfs-tests/tests/functional/write_dirs/write_dirs_002_pos.ksh	Wed Aug 31 16:21:39 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,11 +47,11 @@
 
 function cleanup
 {
-	for file in `$FIND $TESTDIR -type f`; do
-		$CAT /dev/null > $file
+	for file in `find $TESTDIR -type f`; do
+		cat /dev/null > $file
 	done
-	log_must $SYNC
-	log_must $RM -rf $TESTDIR/*
+	log_must sync
+	log_must rm -rf $TESTDIR/*
 }
 
 typeset -i retval=0
--- old/usr/src/test/zfs-tests/tests/functional/xattr/cleanup.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/cleanup.ksh	Wed Aug 31 16:21:40 2016
@@ -24,22 +24,22 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
 
-ZFS_USER=$($CAT /tmp/zfs-xattr-test-user.txt)
-$RM /tmp/zfs-xattr-test-user.txt
+ZFS_USER=$(cat /tmp/zfs-xattr-test-user.txt)
+rm /tmp/zfs-xattr-test-user.txt
 
-USES_NIS=$($CAT /tmp/zfs-xattr-test-nis.txt)
-$RM /tmp/zfs-xattr-test-nis.txt
+USES_NIS=$(cat /tmp/zfs-xattr-test-nis.txt)
+rm /tmp/zfs-xattr-test-nis.txt
 
 del_user $ZFS_USER
 
 if [ "${USES_NIS}" == "true" ]
 then
-    $SVCADM enable svc:/network/nis/client:default
+    svcadm enable svc:/network/nis/client:default
 fi
 
 default_cleanup
--- old/usr/src/test/zfs-tests/tests/functional/xattr/setup.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/setup.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -31,11 +31,11 @@
 
 # if we're running NIS, turn it off until we clean up
 # (it can cause useradd to take a long time, hitting our TIMEOUT)
-USES_NIS=FALSE
-$SVCS svc:/network/nis/client:default | $GREP online > /dev/null
+USES_NIS=false
+svcs svc:/network/nis/client:default | grep online > /dev/null
 if [ $? -eq 0 ]
 then
-	$SVCADM disable -t svc:/network/nis/client:default
+	svcadm disable -t svc:/network/nis/client:default
 	USES_NIS=true
 fi
 
@@ -45,7 +45,7 @@
 while [ -z "${FOUND}" ]
 do
 	COUNT=0
-	USER_EXISTS=$( $GREP $ZFS_USER /etc/passwd )
+	USER_EXISTS=$( grep $ZFS_USER /etc/passwd )
 	if [ ! -z "${USER_EXISTS}" ]
 	then
 		ZFS_USER="${ZFS_USER}${COUNT}"
@@ -57,8 +57,8 @@
 
 log_must add_user $ZFS_GROUP $ZFS_USER
 
-$ECHO $ZFS_USER > /tmp/zfs-xattr-test-user.txt
-$ECHO $USES_NIS > /tmp/zfs-xattr-test-nis.txt
+echo $ZFS_USER > /tmp/zfs-xattr-test-user.txt
+echo $USES_NIS > /tmp/zfs-xattr-test-nis.txt
 
 DISK=${DISKS%% *}
 default_setup $DISK
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_001_pos.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_001_pos.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,7 +48,7 @@
 
 	if [ -f $TESTDIR/myfile.$$ ]
 	then
-		log_must $RM $TESTDIR/myfile.$$
+		log_must rm $TESTDIR/myfile.$$
 	fi
 }
 
@@ -55,7 +55,7 @@
 log_assert "Create/read/write/append of xattrs works"
 log_onexit cleanup
 
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 verify_write_xattr $TESTDIR/myfile.$$ passwd
 delete_xattr $TESTDIR/myfile.$$ passwd
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_002_neg.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_002_neg.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -42,7 +42,7 @@
 
 function cleanup {
 
-	log_must $RM $TESTDIR/myfile.$$
+	log_must rm $TESTDIR/myfile.$$
 
 }
 
@@ -50,7 +50,7 @@
 log_onexit cleanup
 
 # create a file
-log_must $TOUCH $TESTDIR/myfile.$$
-log_mustnot eval "$CAT $TESTDIR/myfile.$$ not-here.txt > /dev/null 2>&1"
+log_must touch $TESTDIR/myfile.$$
+log_mustnot eval "cat $TESTDIR/myfile.$$ not-here.txt > /dev/null 2>&1"
 
 log_pass "A read of a non-existent xattr fails"
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_003_neg.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_003_neg.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 
 function cleanup {
 
-	log_must $RM $TESTDIR/myfile.$$
+	log_must rm $TESTDIR/myfile.$$
 
 }
 
@@ -52,11 +52,11 @@
 log_assert "read/write xattr on a file with no permissions fails"
 log_onexit cleanup
 
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
-log_must $CHMOD 000 $TESTDIR/myfile.$$
-log_mustnot $SU $ZFS_USER -c "$RUNAT $TESTDIR/myfile.$$ $CAT passwd"
-log_mustnot $SU $ZFS_USER -c "$RUNAT $TESTDIR/myfile.$$ $CP /etc/passwd ."
+log_must chmod 000 $TESTDIR/myfile.$$
+log_mustnot su $ZFS_USER -c "runat $TESTDIR/myfile.$$ cat passwd"
+log_mustnot su $ZFS_USER -c "runat $TESTDIR/myfile.$$ cp /etc/passwd ."
 
 log_pass "read/write xattr on a file with no permissions fails"
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_004_pos.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_004_pos.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,8 +52,8 @@
 
 	if [ $( ismounted /tmp/ufs.$$ ufs ) ]
 	then
-		log_must $UMOUNT /tmp/ufs.$$
-		log_must $RM -rf /tmp/ufs.$$
+		log_must umount /tmp/ufs.$$
+		log_must rm -rf /tmp/ufs.$$
 	fi
 }
 
@@ -61,26 +61,26 @@
 log_onexit cleanup
 
 # Create a UFS file system that we can work in
-log_must $ZFS create -V128m $TESTPOOL/$TESTFS/zvol
-log_must eval "$ECHO y | $NEWFS /dev/zvol/dsk/$TESTPOOL/$TESTFS/zvol > /dev/null 2>&1"
+log_must zfs create -V128m $TESTPOOL/$TESTFS/zvol
+log_must eval "echo y | newfs /dev/zvol/dsk/$TESTPOOL/$TESTFS/zvol > /dev/null 2>&1"
 
-log_must $MKDIR /tmp/ufs.$$
-log_must $MOUNT /dev/zvol/dsk/$TESTPOOL/$TESTFS/zvol /tmp/ufs.$$
+log_must mkdir /tmp/ufs.$$
+log_must mount /dev/zvol/dsk/$TESTPOOL/$TESTFS/zvol /tmp/ufs.$$
 
 # Create files in ufs and tmpfs, and set some xattrs on them.
-log_must $TOUCH /tmp/ufs.$$/ufs-file.$$
-log_must $TOUCH /tmp/tmpfs-file.$$
+log_must touch /tmp/ufs.$$/ufs-file.$$
+log_must touch /tmp/tmpfs-file.$$
 
-log_must $RUNAT /tmp/ufs.$$/ufs-file.$$ $CP /etc/passwd .
-log_must $RUNAT /tmp/tmpfs-file.$$ $CP /etc/group .
+log_must runat /tmp/ufs.$$/ufs-file.$$ cp /etc/passwd .
+log_must runat /tmp/tmpfs-file.$$ cp /etc/group .
 
 # copy those files to ZFS
-log_must $CP -@ /tmp/ufs.$$/ufs-file.$$ $TESTDIR
-log_must $CP -@ /tmp/tmpfs-file.$$ $TESTDIR
+log_must cp -@ /tmp/ufs.$$/ufs-file.$$ $TESTDIR
+log_must cp -@ /tmp/tmpfs-file.$$ $TESTDIR
 
 # ensure the xattr information has been copied correctly
-log_must $RUNAT $TESTDIR/ufs-file.$$ $DIFF passwd /etc/passwd
-log_must $RUNAT $TESTDIR/tmpfs-file.$$ $DIFF group /etc/group
+log_must runat $TESTDIR/ufs-file.$$ diff passwd /etc/passwd
+log_must runat $TESTDIR/tmpfs-file.$$ diff group /etc/group
 
-log_must $UMOUNT /tmp/ufs.$$
+log_must umount /tmp/ufs.$$
 log_pass "Files from ufs,tmpfs with xattrs copied to zfs retain xattr info."
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_005_pos.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_005_pos.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -44,9 +44,9 @@
 
 function cleanup {
 
-	log_must $ZFS destroy $TESTPOOL/$TESTFS/clone
-	log_must $ZFS destroy $TESTPOOL/$TESTFS@snapshot1
-	log_must $RM $TESTDIR/myfile.$$
+	log_must zfs destroy $TESTPOOL/$TESTFS/clone
+	log_must zfs destroy $TESTPOOL/$TESTFS@snapshot1
+	log_must rm $TESTDIR/myfile.$$
 }
 
 log_assert "read/write/create/delete xattr on a clone filesystem"
@@ -53,13 +53,13 @@
 log_onexit cleanup
 
 # create a file, and an xattr on it
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
 # snapshot & clone the filesystem
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snapshot1
-log_must $ZFS clone $TESTPOOL/$TESTFS@snapshot1 $TESTPOOL/$TESTFS/clone
-log_must $ZFS set mountpoint=$TESTDIR/clone $TESTPOOL/$TESTFS/clone
+log_must zfs snapshot $TESTPOOL/$TESTFS@snapshot1
+log_must zfs clone $TESTPOOL/$TESTFS@snapshot1 $TESTPOOL/$TESTFS/clone
+log_must zfs set mountpoint=$TESTDIR/clone $TESTPOOL/$TESTFS/clone
 
 # check for the xattrs on the clone
 verify_xattr $TESTDIR/clone/myfile.$$ passwd /etc/passwd
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_006_pos.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_006_pos.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -42,8 +42,8 @@
 
 function cleanup {
 
-	log_must $ZFS destroy $TESTPOOL/$TESTFS@snap
-	log_must $RM $TESTDIR/myfile.$$
+	log_must zfs destroy $TESTPOOL/$TESTFS@snap
+	log_must rm $TESTDIR/myfile.$$
 
 }
 
@@ -51,11 +51,11 @@
 log_onexit cleanup
 
 # create a file, and an xattr on it
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
 # snapshot the filesystem
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snap
+log_must zfs snapshot $TESTPOOL/$TESTFS@snap
 
 # check for the xattr on the snapshot
 verify_xattr $TESTDIR/.zfs/snapshot/snap/myfile.$$ passwd /etc/passwd
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_007_neg.ksh	Wed Aug 31 16:21:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_007_neg.ksh	Wed Aug 31 16:21:40 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -46,11 +46,11 @@
 #
 
 function cleanup {
-	log_must $ZFS destroy $TESTPOOL/$TESTFS@snap
-	log_must $RM $TESTDIR/myfile2.$$
-	log_must $RM $TESTDIR/myfile.$$
-	log_must $RM /tmp/output.$$
-	[[ -e /tmp/expected_output.$$ ]]  && log_must $RM  \
+	log_must zfs destroy $TESTPOOL/$TESTFS@snap
+	log_must rm $TESTDIR/myfile2.$$
+	log_must rm $TESTDIR/myfile.$$
+	log_must rm /tmp/output.$$
+	[[ -e /tmp/expected_output.$$ ]]  && log_must rm  \
 	/tmp/expected_output.$$
 
 }
@@ -59,23 +59,23 @@
 log_onexit cleanup
 
 # create a file, and an xattr on it
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
 # create another file that doesn't have an xattr
-log_must $TOUCH $TESTDIR/myfile2.$$
+log_must touch $TESTDIR/myfile2.$$
 
 # snapshot the filesystem
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snap
+log_must zfs snapshot $TESTPOOL/$TESTFS@snap
 
 # we shouldn't be able to alter the first file's xattr
-log_mustnot eval " $RUNAT $TESTDIR/.zfs/snapshot/snap/myfile.$$ \
-    $CP /etc/passwd .  >/tmp/output.$$  2>&1"
-log_must $GREP  -i  Read-only  /tmp/output.$$
+log_mustnot eval " runat $TESTDIR/.zfs/snapshot/snap/myfile.$$ \
+    cp /etc/passwd .  >/tmp/output.$$  2>&1"
+log_must grep  -i  Read-only  /tmp/output.$$
 
-log_must eval "$RUNAT $TESTDIR/.zfs/snapshot/snap/myfile2.$$  \
-    $LS >/tmp/output.$$  2>&1"
+log_must eval "runat $TESTDIR/.zfs/snapshot/snap/myfile2.$$  \
+    ls >/tmp/output.$$  2>&1"
 create_expected_output  /tmp/expected_output.$$ SUNWattr_ro SUNWattr_rw
-log_must $DIFF /tmp/output.$$ /tmp/expected_output.$$
+log_must diff /tmp/output.$$ /tmp/expected_output.$$
 
 log_pass "create/write xattr on a snapshot fails"
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_008_pos.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_008_pos.ksh	Wed Aug 31 16:21:41 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,7 +45,7 @@
 
 	for file in /tmp/output.$$ /tmp/expected-output.$$ \
 		$TESTDIR/myfile.$$ ; do
-		log_must $RM -f $file
+		log_must rm -f $file
 	done
 }
 
@@ -53,22 +53,22 @@
 log_onexit cleanup
 
 # create a file, and an xattr on it
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
 # listing the directory .
-log_must eval "$RUNAT $TESTDIR/myfile.$$ $LS  . > /tmp/output.$$"
+log_must eval "runat $TESTDIR/myfile.$$ ls  . > /tmp/output.$$"
 create_expected_output  /tmp/expected-output.$$  \
     SUNWattr_ro  SUNWattr_rw  passwd
-log_must $DIFF /tmp/output.$$ /tmp/expected-output.$$
+log_must diff /tmp/output.$$ /tmp/expected-output.$$
 # list the directory . long form
-log_must eval "$RUNAT $TESTDIR/myfile.$$ $LS -a . > /tmp/output.$$"
+log_must eval "runat $TESTDIR/myfile.$$ ls -a . > /tmp/output.$$"
 create_expected_output  /tmp/expected-output.$$ . ..  \
     SUNWattr_ro  SUNWattr_rw  passwd
-log_must $DIFF /tmp/output.$$ /tmp/expected-output.$$
+log_must diff /tmp/output.$$ /tmp/expected-output.$$
 
 # list the directory .. expecting one file
-OUTPUT=$($RUNAT $TESTDIR/myfile.$$ $LS ..)
+OUTPUT=$(runat $TESTDIR/myfile.$$ ls ..)
 if [ "$OUTPUT" != ".." ]
 then
 	log_fail "Listing the .. directory doesn't show \"..\" as expected."
@@ -75,6 +75,6 @@
 fi
 
 # verify we can't list ../
-log_mustnot eval "$RUNAT $TESTDIR/myfile.$$ $LS ../ > /dev/null 2>&1"
+log_mustnot eval "runat $TESTDIR/myfile.$$ ls ../ > /dev/null 2>&1"
 
 log_pass "special . and .. dirs work as expected for xattrs"
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_009_neg.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_009_neg.ksh	Wed Aug 31 16:21:41 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -42,7 +42,7 @@
 
 function cleanup {
 
-	log_must $RM $TESTDIR/myfile.$$
+	log_must rm $TESTDIR/myfile.$$
 
 }
 
@@ -50,13 +50,13 @@
 log_onexit cleanup
 
 # create a file, and an xattr on it
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
 # Try to create a soft link from the xattr namespace to the default namespace
-log_mustnot $RUNAT $TESTDIR/myfile.$$ $LN -s /etc/passwd foo
+log_mustnot runat $TESTDIR/myfile.$$ $LN -s /etc/passwd foo
 
 # Try to create a hard link from the xattr namespace to the default namespace
-log_mustnot $RUNAT $TESTDIR/myfile.$$ $LN /etc/passwd foo
+log_mustnot runat $TESTDIR/myfile.$$ $LN /etc/passwd foo
 
 log_pass "links between xattr and normal file namespace fail"
--- old/usr/src/test/zfs-tests/tests/functional/xattr/xattr_010_neg.ksh	Wed Aug 31 16:21:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/xattr/xattr_010_neg.ksh	Wed Aug 31 16:21:41 2016
@@ -24,7 +24,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -43,7 +43,7 @@
 
 function cleanup {
 
-	log_must $RM $TESTDIR/myfile.$$
+	log_must rm $TESTDIR/myfile.$$
 }
 
 log_assert "mkdir, mknod fail"
@@ -50,17 +50,17 @@
 log_onexit cleanup
 
 # create a file, and an xattr on it
-log_must $TOUCH $TESTDIR/myfile.$$
+log_must touch $TESTDIR/myfile.$$
 create_xattr $TESTDIR/myfile.$$ passwd /etc/passwd
 
 # Try to create directory in the xattr namespace
-log_mustnot $RUNAT $TESTDIR/myfile.$$ $MKDIR foo
+log_mustnot runat $TESTDIR/myfile.$$ mkdir foo
 
 # Try to create a range of different filetypes in the xattr namespace
-log_mustnot $RUNAT $TESTDIR/myfile.$$ $MKNOD block b 888 888
+log_mustnot runat $TESTDIR/myfile.$$ mknod block b 888 888
 
-log_mustnot $RUNAT $TESTDIR/myfile.$$ $MKNOD char c
+log_mustnot runat $TESTDIR/myfile.$$ mknod char c
 
-log_mustnot $RUNAT $TESTDIR/myfile.$$ $MKNOD fifo p
+log_mustnot runat $TESTDIR/myfile.$$ mknod fifo p
 
 log_pass "mkdir, mknod fail"
